using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RedBlast : MonoBehaviour
{
    // ovde metak samo treba da registruje kolizju i da 
    //unistava sebe kada dodje van main kamere
    void OnBecameInvisible()
    {
        enabled = false;
        Destroy(gameObject);
    }

    void OnCollisionEnter2D(Collision2D col)
    {
        if (col.gameObject.name == "Xwing_0")
        {
            Destroy(gameObject); // ne unistava drugi objekat vec sebe 
        }
    }
}
